v4.3.24 - 2025-02-19
--------------------

### Bug fixes ###
- permissions: fix column filter on table exports


v4.3.23 - 2025-02-18
--------------------

### Features/improvements ###
- admin:
    - improve Next/Previous buttons,
    - importer columns - set default importer type and col number


### Bug fixes ###
- fix museum find templates
- imports: fix concat with non string
- permissions: fix '"{AREA}"' syntax (#6125)


### Technical ###
- sheet find refactoring


v4.3.22 - 2025-02-17
--------------------

### Features/improvements ###
- operations searches: add "Result considered negative" field
- exhibition:
    - add description field
    - basket sheet: display associated exhibitions
    - create exhibition from basket


### Bug fixes ###
- permissions: fix author and biographical notes permission generation (refs #6187)


v4.3.21 - 2025-02-11
--------------------

### Features/improvements ###
- import GIS: do not create GIS item if the main item is already GIS
- geo items: add acquisition date - remove mandatory link to another item


v4.3.20 - 2025-02-10
--------------------

### Features/improvements ###
- Town, area searches for person, organisations, archaeological files, context records, warehouses and containers (#6095)

### Bug fixes ###
- many fix on permissions (#6068, #6098, #6099, #6100, #6104, #6109, #6110, #6115, #6118, #6125)
- fix no translations for homepage on new instances (#6136)


v4.3.19 - 2025-01-31
--------------------

### Features/improvements ###
- administration: better management of "Import - Item keys" - import/export, links all user/imports


v4.3.18 - 2025-01-28
--------------------

### Bug fixes ###
- sheet treatment: fix reference display (#6150)
- sheet warehouse: deactivate statistics when too many containers are attached
- fix own permission check (#6126)
- fix view person permissions (#6146)


v4.3.17 - 2025-01-23
--------------------

### Technical ###
- treatments: rename field `other_reference` -> `reference`
- treatments: manage imports


v4.3.16 - 2025-01-20
--------------------

### Bug fixes ###
- permissions:
    - manage quick add/modify forms (#6101)
    - permission sheet: fix treatments list (#6124)
    - add permission for created object to the current user (#6118)
    - fix `permission_check` for action (#6126)
- fix import match listing
- fix generation of `cached_label` for base finds


v4.3.15 - 2024-12-13
--------------------

### Bug fixes ###
- document template: fix associated basket for treatment file and treatments


v4.3.14 - 2024-12-11
--------------------

### Bug fixes ###
- permissions: fix specific administration permissions

### Technical ###
- fix get own function for biographical notes (old behaviour)


v4.3.13 - 2024-12-11
--------------------

### Features/improvements ###
- CSS dark mode
- new map layer: IGN cadastral

### Bug fixes ###
- fix custom form reordering and "add" wizards
- admin: fix geovector form
- QA create warehouse: fix save


v4.3.12 - 2024-12-01
--------------------

### Features/improvements ###
- add exhibition (data model, forms)


v4.3.11 - 2024-11-28
--------------------

### Features/improvements ###
- site profile: ability to set default localisation for treatments

### Technical ###
- add profile slug to default wizard context

### Bug fixes ###
- fix file template when no filter is provided


v4.3.10 - 2024-11-25
--------------------

### Bug fixes ###
- simplify and fix upper permission management
- upper permissions: get container permission from finds


v4.3.9 - 2024-11-24
-------------------

### Bug fixes ###
- news feed fetch silently fail on network error
- fix bad evaluation on wizard for "own" permissions

v4.3.8 - 2024-11-20
-------------------

### Features/improvements ###
- sheet filtering: can set many keys with ';' separator

### Bug fixes ###
- fix administrative act permissions

v4.3.7 - 2024-11-20
-------------------

### Features/improvements ###
- admin: warning message when multiple permission queries have been set for the same profile type

### Bug fixes ###
- fix administrative act permissions


v4.3.6 - 2024-11-20
-------------------

### Bug fixes ###
- fix actions acces for permissions
- more explicit message in case of insufficient permissions


v4.3.5 - 2024-11-17
-------------------

### Features/improvements ###
- filter sheet by profile type
- search: add AND operator "&&"


v4.3.4 - 2024-11-15
-------------------

### Bug fixes ###
- fix permissions menu evaluation - fix forms initialization


v4.3.3 - 2024-11-14
--------------------

### Technical ###
- rename permission request fields to permission queries
- filtered sheets - filters, sheets: model, admin


v4.3.2 - 2024-11-13
--------------------

### Bug fixes ###
- fix own permissions for sheets
- translation in admin page


v4.3.1 - 2024-11-13
--------------------

### Features/improvements ###
- permissions management:
    - use of queries to manage permissions
    - expiration date for profiles
    - specific deletion permissions (not anymore linked to modification)
- search: OR syntax with "||"


### Technical ###
- permissions management:
    - refactoring of possession (direct, on creation, with basket)
    - refactoring of heritage
    - refactoring of areas association
- special syntax for using identifier in search "id:1234" (used by permission query mecanism)


v4.1.53 - 2025-02-19
--------------------

### Bug fixes ###
- search forms: fix filter for datation fields (#4281, #6193)


v4.1.52 - 2025-02-14
--------------------

### Bug fixes ###
- fix `VALUES` serialization for preventive archaeological files
- archaeological files sheet: fix preventive formset equipment service order (refs #6173)


### Technical ###
- archaeological files templates: add `taux_recouvrement` variable (refs #6172)
- templates: add `precise_town_name` to person and organization (refs #6167)


v4.1.51 - 2025-02-13
--------------------

### Bug fixes ###
- archaeological files: fix ground daily cost variable


v4.1.50 - 2025-02-12
--------------------

### Bug fixes ###
- templates: fix rounding for `float_format` filter (refs #6172)
- archaeological files - preventive:
    - display detailled cost with `display_label` (refs #6172)
    - forms: fix management of equipment formset (refs #6173)
    - templates: fix miscalculation of preventive fields (refs #6172)
    - admin: fix price agreement duplication (refs #6174)


v4.1.49 - 2025-02-10
--------------------

### Bug fixes ###
- context record forms: do not crash on fields reordering when some of them are filtered (#6166)


v4.1.48 - 2025-01-28
--------------------

### Bug fixes ###
- sheet warehouse: deactivate statistics when too many containers are attached


v4.1.47 - 2025-01-07
--------------------

### Bug fixes ###
- fix generation of base finds labels


v4.1.46 - 2024-12-30
--------------------

### Features/improvements ###
- disable overload translation by default

### Bug fixes ###
- fix disable overload translation


v4.1.45 - 2024-12-09
--------------------

### Bug fixes ###
- fix custom form reordering


v4.1.44 - 2024-12-05
--------------------

### Bug fixes ###
- admin: fix geovector form
- quick action - create warehouse: fix save

v4.1.43 - 2024-10-15
--------------------

### Features/improvements ###
- site and operation relations forms refactoring

### Bug fixes ###
- fix group import (missing skip lines)

### Technical ###
- improve performance on search vector generation


v4.1.42 - 2024-10-11
--------------------

### Bug fixes ###
- fix GIS import (missing skip lines)


v4.1.41 - 2024-10-10
--------------------

### Bug fixes ###
- archaeological files form: fix missing field `internal reference` (#6046)


v4.1.40 - 2024-10-09
--------------------

### Technical ###
- document templates - Archaeological files: add fields for preventive document rendering


v4.1.39 - 2024-10-09
--------------------

### Features/improvements ###
- operation: copying the address and locality when creating from an archaeological file


v4.1.38 - 2024-10-08
--------------------

### Technical ###
- documents templates - new filter: `euro_format`


v4.1.37 - 2024-10-08
--------------------

### Technical ###
- document templates: manage export in PDF, HTML, xlsx, docx
- importer type: add default number of line to skip for CSV

v4.1.36 - 2024-09-30
--------------------

### Technical ###
- document templates:
    - multiply, sub, add filters
    - Archaeological files: add fields for preventive document rendering


v4.1.35 - 2024-09-30
--------------------

### Bug fixes ###
- sheet: fix `full_label` display of hierarchical types
- sheet context record: fix "interpretation tab" display when there is only "identifications"


v4.1.34 - 2024-09-29
--------------------

### Bug fixes ###
- import CSV overview: do not display ignore button when not relevent

### Technical ###
- document templates:
    - more robust templates (don't crash on missing values)
    - add fields for archaeological files
    - `number_to_words` and `float_format` filters


v4.1.33 - 2024-09-28
--------------------

### Technical ###
- Archaeological files templates: add fields for rendering preventive archaeology documents

v4.1.32 - 2024-09-27
--------------------

### Features/improvements ###
- archaeological files - new field: "operation name" (#5795)
- imports: buttons "ignore all errors", "no errors"

### Bug fixes ###
- imports: fix window closing on ignore errors check

### Technical ###
- homepage: simplify and initialize homepage fields management


v4.1.31 - 2024-09-24
--------------------

### Features/improvements ###
- homepage: statistics and more customizations

### Technical ###
- DocumentationType, ExcavationTechnic (context record) add hierarchy and order

### Bug fixes ###
- fix self context record relation creation

v4.1.30 - 2024-09-22
--------------------

### Technical ###
- import:
    - manage post processing of linked items
    - post processor for Parcel: set_parcel
- sheets: add getter for templates and index formula


v4.1.29 - 2024-09-21
--------------------

### Bug fixes ###
- fix CSV export


v4.1.28 - 2024-09-20
--------------------

### Features/improvements ###
- new fields (database, forms, searches, sheets):
    - Archaeological files:
        - Monitoring justification type
        - Development type
    - Archaeological sites:
        - Types
        - Current status
        - Discovery status
        - Discoverer
        - Nature of site
        - Interpretation level
        - Precise locality
        - Description
        - Public description
    - Context record:
        - Excavator
    - Find:
        - Discovery method


v4.1.27 - 2024-09-17
--------------------

### Features/improvements ###
- new fields (database, forms, searches, sheets):
    - Town:
        - notice
    - Context records:
        - excavated length
        - excavated width
        - structure
        - texture
        - colors
        - details on colors
        - inclusions
- Operations relations: remove form from the wizard to put in a specific form


v4.1.26 - 2024-09-16
--------------------

### Features/improvements ###
- Context records relations: remove form from the wizard to put in a specific form

### Technical ###
- improve performance
    - do not reevalute ContextRecordTree if not necessary
    - external ID: prevent double save - update query instead of save
- remove dead code


v4.1.25 - 2024-09-12
--------------------

### Bug fixes ###
- sheet find: fix display for simple treatment with no container associated


### Technical ###
- migration script for find container history
-️ admin:
    - fix performance for administrative act form
    - automatic improve forms layout: put generic fields at the end


v4.1.24 - 2024-09-11
--------------------

### Features/improvements ###
- criteria searches: add missing criteria for operation, find and context records (#6020)
- context records bulk update: add fields

### Bug fixes ###
- sheet context record: fix bad conditional evaluation for the interpretation tab

v4.1.23 - 2024-09-10
--------------------

### Features/improvements ###
- quick action - container: move form
- manage find localization history

### Bug fixes ###
- imports:
    - fix default values evaluation
    - fix post-import processing on deleted items
- merge: do not merge import association
- sheets:
    - treatment file: fix applicant organisation address
    - archaeological file: improve layout
    - administrative act: display custom fields
- fix random images for administrative acts


v4.1.22 - 2024-08-28
--------------------

### Bug fixes ###
- LibreOffice context record templates: get datings values

v4.1.21 - 2024-08-28
--------------------

### Bug fixes ###
- LibreOffice templates: more robust generation (attempt to recover malformed XML)

v4.1.20 - 2024-07-25
--------------------

### Features/improvements ###
- user with "view_import" permission can view import list

### Technical ###
- commands: fix ishtar_import script - add verbose display


v4.1.19 - 2024-07-15
--------------------

### Features/improvements ###
- Find: add the ability to configure a "+ find without context" button

### Bug fixes ###
- map: change IGN map link
- sheet - prevent crash when geodata are corrupted
- fix many date and numeric searches (refs #5928)


v4.1.18 - 2024-07-08
--------------------

### Features/improvements ###
- Context records - identification: switch to multivalued
- add an extra dialog on item deletion
- document deletion: do not display non relevant fields on summary before deletion (refs #5639)


### Bug fixes ###
- document search: fix open containers search
- Imports: manage error on file opening


v4.1.17 - 2024-06-26
--------------------

### Features/improvements ###
- notices - Town: add old town, new town reference on notices (#5380, #5732)


### Bug fixes ###
- templates: add missing m2m values
- forms: fix date validation not possible when switching to english (#5837)


v4.1.16 - 2024-06-24
--------------------

### Features/improvements ###
- criteria search: relative search for dates and numbers
- documentation: improve criteria search documentation
- search: add inline help
- many small fix on forms, sheets


### Bug fixes ###
- fix pin for administrative act

v4.1.15 - 2024-06-11
--------------------

### Features/improvements ###
- Sheet: add many missing fields, improve layout, harmonize creation/modification section 

### Technical ###
- Operation:
    - operator reference field 20 -> 200 characters
    - operator reference search criteria (#5965)
- Document: cache authors field for table display (#5709)
- Import queues - change default launch script in order to process low priority (#5679)

v4.1.14 - 2024-06-05
--------------------

### Bug fixes ###
- hot fix geo forms - no history_creator

v4.1.13 - 2024-06-05
--------------------

### Bug fixes ###
- document and geo forms: fix overload of history creator on modification (refs #5964)


v4.1.12 - 2024-06-05
--------------------

### Features/improvements ###
- update documentation
- import sheet: better display of modified and created fields

### Bug fixes ###
- autocomplete towns: fix search for towns with accents (#5557)
- geo, document form: fix label for "Site" when configuration is checked
- criteria search - towns - related model: fix "\*" and "- \*" searches

### Technical ###
- profile - relation engine: default changed to cache tables
- "settings.py" : load custom settings after local settings
- installation:
    - add missing typology - communicability, functional area, cultural attribution
    - add spatial reference system
- JS: put load_window at the end of ishtar.js to prevent loading error

v4.1.11 - 2024-05-10
--------------------

### Features/improvements ###
- Operation:
    - add finds and documentation deposit dates
    - quick action: add administrative act (#5925)

### Bug fixes ###
- table count - fix bad number of items count on finds with many associated context record (#5898)
- import error check: fix error when ID is higher than 1000 (#5931)
- account search tables: display profile type instead of profile name (#5618)
- sheet: restore button is more visible and has been detached from navigation buttons (#5917)
- when base finds are deleted, delete the associated finds if not other base find is associated (#3871)
- search query: fix multiple date criteria on the same attribute

v4.0.XX - 2099-12-31
--------------------

- museum...
- biographical note
- Biographical notes edit form

### Features/improvements ###
- geo form:
    - add coordinates display
    - get coordinates from geolocalisation
- geo sheet: display point buffer
- Container: new field Code (forms, sheet, search index and autocomplete) (#5704)
- Context record:
    - identification type changes to hierarchical (#5739)
    - cultural attribution field (#5740)
- Operation:
    - improve sheet (#5753)
    - rename "operation code" to "yearly index"
    - finds and documentation deposit dates
    - quick action: add administrative act
- Find:
    - conservation state becomes multi-valued (#5904)
    - batch update: "previous id" can be changed for many find
- Warehouse: autocomplete with slug
- Document form: remove the attachment constraint
- add pagination to archived imports page
- search: for dates, introduce notation 'criteria=">21/12/2023"' and 'criteria="<21/12/2023"' for before and after

#### Imports #####
- pre-import forms
- imports : ability to use natively LibreOffice and Excel files
- imports - group: chain multiple imports
- imports: refactoring of permission management
- imports: allow media import from a web location
- imports: allow to exclude some errors messages
- imports: allow errors to be pointed out line by line
- imports - form: reorganisation of field order
- imports - table :
    - built-in CSV viewer
    - automatic progress refresh
    - reorganization of fields
    - improved presentation
- imports - sheet (links from other sheet to the import sheet)
- imports - match: do not propose "Set to NULL" for required columns
- searches: add criteria "imported from"

#### GDPR Module #####
- documentation
- admin - GDPR log (read only, export)
- record GDPR on log directory view and directory export


### Technical ###
- script to fix grouped towns allocation to operations
- debug mode for imports
- imports:
    - fix post import actions in defaults
    - document: post importer action - set main image
- ishtar_maintenance script: fix_geographic_items task
- geodata: fix default attachment for find, context records, warehouse and container
- GIS import: fix bad SRID comparison

#### Imports #####
- update relationship between imports and main items
- imports - queues: manage a low priority queue for imports

#### GDPR Module #####
- tables: user, action, IP, routable IP

### Bug fixes ###
- document table: fix gallery view
- geo sheet:
    - do not zoom or select point with no x, y coordinates
    - fix 2d point display
- imports - CSV result:
    - fix missing columns (#5677)
    - improve values format
- context record relations graph - fix '\n' string (#5500)
- fix consultation permissions on the contents of a container (#5767)
- fix default settings for treatment states and treatments types (#5782, #5774)
- fix main image for files (#5789)
- Context record autocomplete: explicit search by operation code (#5834)
- Sheet: prevent overflow of file name on other fields (#5835)
- JSON data date: fix criteria search - sheet display localized version (#5883)
- Operation: rename "operation code" to "yearly index"

v4.0.75 - 2024-04-16
--------------------

### Technical ###
- Find: add index to free text search

v4.0.74 - 2024-04-16
--------------------

### Technical ###
- JINJA formula: padding and deduplicate filters

v4.0.73 - 2024-03-19
--------------------

### Bug fixes ###
- fix gallery for documents

v4.0.72 - 2024-02-05
--------------------

### Technical ###
- update IGN/INSEE import script

v4.0.71 - 2024-01-17
--------------------

### Bug fixes ###
- area: fix automatic slug generation (#5715)
- document table: fix line duplication for authors (#5709). **Warning**: count in table is not relevant anymore, real correction will be available on version v4.1

v4.0.70 - 2023-12-19
--------------------

### Technical ###
- context record relation: force one to one relation on context record relation -> fix archaeological find listing on context record sheet


v4.0.69 - 2023-12-18
--------------------

### Technical ###
- values associated with archaeological find for templates: use "base_find_" prefix and simple prefix (#5695)
- account form: on modification set profile_type to readonly in order to prevent some errors on deletion (#5696)


v4.0.68 - 2023-11-30
--------------------

### Bug fixes ###
- admin container: fix search

### Technical ###
- import: intercept integrity error on post-treatment

v4.0.67 - 2023-11-29
--------------------

### Bug fixes ###
- GIS form - remove "timestamp" fields (#5673)
- Instance Profile:
    - fix migration: provide default for complete id and cached label (#5674)
    - fix "default center" field (#5675)
- Document table: fix performance issue on sort (#5667)
- Document bulk update: fix to add new author (#5681)
- Custom form - add missing forms types (#5668)
- New Geo item form: center map widget on the center of the main geo item or use default center of the instance (#5676)


v4.0.66 - 2023-11-22
--------------------

### Bug fixes ###
- templates - container values: fix find list order (#5661)

v4.0.65 - 2023-11-15
--------------------

### Bug fixes ###
- search: fix -type="*" search for types with no hierarchy

v4.0.64 - 2023-11-14
--------------------

Many improvement in post-treatments. Better performance for imports are expected.

### Technical ###
- remove bulk update: should not be useful anymore and can severely degrade performance
- improve parcel post-treatments - add timestamp to prevent multiple geo and cached_label edition


v4.0.63 - 2023-11-08
--------------------

### Bug fixes ###
- Statistics: fix image display (#5650)
- Password expiration: delete cache after password reset

v4.0.62 - 2023-10-27
--------------------

### Bug fixes ###
- Operation sheet: add missing preventive archaeology fields, improve date format
- Operation sheet: fix filter on the table of relations between context records (#5647)

v4.0.61 - 2023-10-18
--------------------

### Bug fixes ###
- JS: fix calendar localisation (#5642)
- Custom forms: fix crash when removing fields already filtered (#5643)

v4.0.60 - 2023-10-10
--------------------

### Bug fixes ###
- manage photos with altered bits (#5626)

v4.0.59 - 2023-09-29
--------------------

### Bug fixes ###
- fix missing translations
- remove "BASE_URL" on image sheet (unnecessary locally and buggy on remote access)
- areas automatically created by operation with many towns are not "available" by default

v4.0.58 - 2023-09-25
--------------------

### Bug fixes ###
- Federation:
    - instead of deleting excluded fields, set them to null
    - distant sheets: add missing default permission check
    - absolute URL for ressources

v4.0.57 - 2023-09-13
--------------------

### Technical ###
- wider main div on mobile device

### Bug fixes ###
- fix photo selector on mobile device

v4.0.56 - 2023-09-06
--------------------

### Features/improvements ###
- improve online documentation

### Technical ###
- imports - linking: remove irrelevant keys
- imports - geo: fix import association when import_key is matched
- fix update of cached coordinates on precision change of the SRS

v4.0.55 - 2023-08-07
--------------------

### Technical ###
- `ishtar_maintenance` script: add "filter" option in order to limit script to a specific query
- fix crash with no search counted
- fix cascade update for base finds
- optimise post-treatments: prevent unnecessary cascade update (refs #5617)

v4.0.54 - 2023-07-19
--------------------

### Features/improvements ###
- wizards: automatic scroll on field when navigating with TAB key
- improve layout: update password form, open registration form
- update password form: redirect to start page
- open registration form: disabled by default
- reset email form
- button to show password on admin change password form
- default username naming style is firstname.name

### Bug fixes ###
- fix find redirection after geo item creation/modification
- account form: fix slugify of default username
- fix document quick packaging (#5611)

v4.0.53 - 2023-07-06
--------------------

### Features/improvements ###
- wizards: validate forms with CTRL+ENTER

### Bug fixes ###
- wizards: fix autofocus of first field
- do not overload when no complete_id is available

v4.0.52 - 2023-07-06
--------------------

### Bug fixes ###
- message after creation: use the generate_cached_label if no label is available

### Technical ###
- fix infinite loop on regenerate_all_id


v4.0.51 - 2023-07-05
--------------------

### Features/improvements ###
- sheet: add a refresh button to update informations

### Bug fixes ###
- fix parcel table - wizard summary (inappropriate l10n)
- check of external identifiers when updating cached labels (#5603)


v4.0.50 - 2023-07-03
--------------------

### Features/improvements ###
- update documentation
- improve changelog display
- update translations

### Bug fixes ###
- Operation form: the operation code field (Patriarche) is no longer optional
- fix "*" search for text fields (#5325)
- forms - unit input: fix round float display
- sheet: fix float display for hectare
- fix crash on qrcode generation for base finds

v4.0.49 - 2023-06-21
--------------------

### Features/improvements ###
- improve changelog display
- Sheet: display spatial reference system with coordinates of points

### Technical ###
- JS: fix TrackPositionControl with https


v4.0.48 - 2023-06-08
--------------------

### Features/improvements ###
- Search criteria - geo - "Z lower than", "Z higher than"
- Sheet: display coordinates of points

### Technical ###
- Default round and round z for each spatial reference system 
- Do not put debug log in root path on Debian
- Fix mimetype of settings.js


v4.0.47 - 2023-06-08
--------------------

### Technical ###
- Improve post treatments after imports
- Many fix (or potential fix) in templates (inappropriate l10n) (#5594)


v4.0.46 - 2023-05-26
--------------------

### Features/improvements ###
- Towns/geographical areas :
    - attachment of documents
    - setting up of sheet
    - links from other sheet to the sheets of municipalities/geographical areas

### Bug fixes ###
- recalculation of the weight of a container when find is removed (#5470)


### Technical ###
- JS: fix UnitWidget (inappropriate l10n)
- fix HTML import page (inappropriate l10n)


v4.0.45 - 2023-05-15
--------------------

### Features/improvements ###
- Administration: improved display of subcategories (in color)
- Document - bulk update: add modification of tags (#5415)

### Bug fixes ###
- Fix town search for warehouses and organizations
- Fix container search for documents

### Technical ###
- Migration font-awesome -> fork-awesome
- Inline JS migrated to a dynamic, cacheable settings.js
- Container import: do not crash on empty container type
- media_find_missing_files command: added set-alt-media-dir option to link missing media from an alternate directory and set-empty-image option to link to dummy images for missing images

v4.0.44 - 2023-04-17
--------------------

### Features/improvements ###
- Display of a changelog with alert display when updates are made
- Containers: manage history
- Security:
    - Manage expiration of passwords
    - Manage strong password policy (ISHTAR_STRONG_PASSWORD_POLICY) with "Each character type" validator
    - Add default auth validator
    - Default timeout for session is set to 5 days
    - Optional security for login attempt: loging, deactivate account after many failed login.

### Bug fixes ###
- Json fields: fix bad save of multi values
- Cascade update from warehouse to containers (#5432)
- Sheets: fix history view with associated geo
- Containers: remove division search
- Image detail: do not display Modify link when not relevant (#5438)
- Fix french label for geo types (#5577)
- Fix permissions for treatments requests (#5441)

### Technical ###
- Load task refactoring - manage external_id regen with tasks
- Update and fix translations (#5578, #5579, #5581)
- Importer export: fix pre_importer call
- Force using 128 bits salt for password hasher
- Mark false security issues detected by bandit
- Fix low severity security issues detected by bandit

v4.0.43 - 2023-03-17
--------------------

### Features/improvements ###
- General:
    - add custom cached_label configuration for each main item
    - add "created" field on main items in order to facilitate queries
- settings: add "ISHTAR_SECURE_OPTIONS" to activate Django secured options
- Sheet document: better UI for files
- Model: add history for document and containers
- Menu: remove "Administration" entry - put Account management in "Directory" entry
- Admin:
    - Global variable: edit in table, add import/export in CSV/JSON
    - overload index to add subsection headers
- Geo: create/edit form - new openlayers version - add default IGN tiles
- Import: improve bad encoding detection
- Search:
    - add created before/after field
    - Operation: add "old code" field
    - Find: add "remain" field (operations and sites)
    - Account: add "profile type" field
- Free text search:
    - use accent and unaccented string
    - add french_archeo thesaurus config
    - File - add "year-index"
- Maintenance scripts: delete deprecated and migrate to ishtar_maintenance
- Put a serif font for <pre>
- Sheet:
    - Treatment file: add associated image and document list

### Bug fixes ###
- Search:
    - fix many excluded facet
    - improve many facet query
    - Document - source type is now a hierarchic search
    - Context record: add identification and activity criteria
- File: filter plan action when preventive_operator is activated in profile 
- Profile:
    - do not display geo item list when mapping is deactivated
    - custom footer message
- Explicit message on associated container deletion when a warehouse is deleted
- Administrative act: add a warning when associated item is deleted
- Imports: register automatically type models for export
- Site: quick action for creation of virtual operation from site with many operations
- UI:
    - sheet header - add caret to show collapse
    - show/hide password on login
- Forms:
    - custom form - can add header message
    - Find: remove TAQ/TPQ check

- Sheet:
    - fix treatment and file treatment sheet display (bad QR code link)
    - Operation - statistics number of parcels fix
    - basket: display shared with by alpha order

v4.0.42 - 2023-01-25
--------------------

### Features/improvements ###
- Treatment sheet: improve layout - add detail links

### Technical ###
- Installation: fix installation script to allow custom DB PORT and DB HOST
- Imports: complex formatting of formulas

v4.0.41 - 2023-01-23
--------------------

### Technical ###
- Fix javascript filter on field

v4.0.40 - 2023-01-22
--------------------

### Technical ###
- Improve some translations

v4.0.39 - 2023-01-20
--------------------

### Features/improvements ###
- Person search: salutation/title fields

v4.0.38 - 2023-01-20
--------------------

### Bug fixes ###
- PDF export: fix new line on <pre> blocks
- Warehouse sheet: correction of duplicate labels


v4.0.37 - 2023-01-20
--------------------

### Bug fixes ###
- Find search: fix discovery date search
- Find/container sheet: correction of date and decimal number display


v4.0.36 - 2023-01-20
--------------------

### Features/improvements ###
- Find sheet refactoring
- Free search:
    - "raw" index for reference (add in index whole reference and split ref)
    - improve parent only search index
- Warehouse: new slug field to prevent ID change when name is changed
- Warehouse: cached town column
- Change labels
    - Identifiant musée -> Numéro d'inventaire musée
    - Localisation (fiche) -> Localisation géographique
    - Date de découverte (exacte ou TPQ) -> Date de découverte (exacte ou début)
    - Date de découverte (TAQ) -> Date de découverte (fin)


v4.0.35 - 2023-01-18
--------------------

### Bug fixes ###
- WIP: fix types searches with *
- Imports: fix cultural attribution import
- Table: fix default sort when pk is not "id" 
- Sheet:
    - warehouse: fix localisation - fix data
    - container: fix localisation - fix data
- Admin: container and warehouse performance

v4.0.34 - 2023-01-13
--------------------

### Bug fixes ###
- Syndication:
    - sheet - fix set default permissions
    - admin ApiSearchModel - fix exporter filter for Find
    - sheet - fix display detail of a dict (display associated label)
    - table - select/deselect all
    - table - reinit headers on load

v4.0.33 - 2023-01-12
--------------------

### Features/improvements ###
- Search result - export: export only selected
- Commands: manage update search vector with maintenance script
- utils: adapt to v4 OSM relations importer
- Syndication ui: better color for external sources
- Syndication - export external sources
- Search: sort by ID by default
- UI bootstrap for stats

### Bug fixes ###
- Fix geo finds for external sources: do not display
- Fix pinned search for external source
- Fix strange bug on statistics with criteria

v4.0.32 - 2022-12-12
--------------------

### Features/improvements ###
- Sheet: set default permissions to False
- Sheet find: do not display container information if no permission
- Image field: can use camera for mobile device
- Import value formater: can use {item} notation for format

### Bug fixes ###
- Full text search: add "simple" config in search

v4.0.31 - 2022-12-05
--------------------

### Features/improvements ###
- Admin: importer model export
- Imports: manage defaults with "__"

### Bug fixes ###
- Migration v4: disable M2M post treatment

v4.0.30 - 2022-12-02
--------------------

### Improvements ###
- Use supervisor instead of systemd script for celery daemon
- Forms: minor template fix


v4.0.29 - 2022-11-29
--------------------

### Improvements ###
- Context record: add Unit to indexed search
- Import: add ActType to imported types
- Admin: small improvements on syndication

### Bug fixes ###
- Fix redirect URL after logout
- Fix choice display - non-relevant translation is deactivated
- Minor translation fixes


v4.0.28 - 2022-11-18
--------------------

### Improvements ###
- Admin: site profile - better form layout
- Imports: display post-process advance
- File refactoring
- Remove dead code

### Bug fixes ###
- Fix import when no object is created and no error is caught
- Operation from file creation - fix automatic town association and parcel recopy

v4.0.27 - 2022-11-10
--------------------

## Features ##
- Improve tests
- French translation

### Bug fix ###
- Fix m2m display for historized items


v4.0.26 - 2022-11-08
--------------------

### Features ###
- remove deprecated x, y, z fields on main item forms

### Bug fix ###
- Find sheet: fix map display
- Find form: fix order of decoration field


v4.0.25 - 2022-11-07
--------------------

### Features ###
- Geodata: display first item associated as a name when no name is provided

### Bug fix ###
- Geodata import: fix total number evaluation on imports
- Basket modification: fix wizard update


v4.0.24 - 2022-10-27
--------------------

### Bug fix ###
- Geodata save: transactions to limit deadlocks


v4.0.23 - 2022-10-26
--------------------

### Features ###
- Geo data: zoom to extent

### Bug fix ###
- Geodata post save: transactions and targeted post save to limit deadlocks

v4.0.22 - 2022-10-14
--------------------

### Features ###
- Context records: Excavation technic become many-to-many

v4.0.21 - 2022-10-14
--------------------

### Features ###
- Geo: quick add geo action for context records, sites and finds
- Geo data: manage m2m association and cascade association

### Bug fix ###

- Geo data: fix main_geodata association test
- fix some admin pages

v4.0.20 - 2022-10-03
--------------------

### Features ###

Geo form - redirect to source item after edit


v4.0.19 - 2022-09-18
--------------------

Backport of v3 changes.

v4.0.18 - 2022-09-12
--------------------

### Features ###

- Import GIS: default to 0 skip lines (for geopackage and SHP it must be 0)

### Bug fix ###

- Geo - migration script: more tolerant with no geo item data - main geo is poly when defined 

v4.0.17 - 2022-09-10
--------------------

### Bug fix ###

- Geo: fix zoom to the extent - fix item counts

v4.0.16 - 2022-09-09
--------------------

### Features ###

- Geo: display associated context records and associated finds on sheet map
- Geo: display lines and polygons on search

### Bug fix ###

- Fix safe_or template tags

v4.0.15 - 2022-08-30
--------------------

### Features ###

- "is locked" search

### Bug fix ###
- Fix INSEE number generation on error with years
- Fix many count search such has "has-finds"

v4.0.14 - 2022-08-05
--------------------

### Features ###

- Import: manage CSV geo data

### Bug fix ###

- Geo sheet: fix display coordinates

v4.0.13 - 2022-08-05
--------------------

### Bug fix ###

- Imports: CSV check fix encoding check
- Imports: add post importer actions in order to manage account importer

v4.0.12 - 2022-08-05
--------------------

### Bug fix ###

- fix bug for vanilla installation (db query before db is initialized)

v4.0.11 - 2022-08-02
--------------------

### Bug fix ###

- Admin - custom form: fix form choice initialization
- File:
    - Parcel form: fix town initialization
    - Remove Parcel formset from wizard
    - Fix modification when general contractor is missing

v4.0.10 - 2022-07-22
--------------------

### Features ###

- Admin - Custom fields: exports and imports CSV, json

### Bug fix ###

- Sheet document - fix permalink content
- migrate_to_geo_v4:
    - fix migration of item multi_polygon_source_item and point_source_item
    - fix "Contour" label

v4.0.9 - 2022-07-21
-------------------

### Bug fix ###

- Import creation: fix importer type filter

v4.0.8 - 2022-07-18
-------------------

### Features ###

- Update French translations

v4.0.7 - 2022-07-18
-------------------

### Features ###

- Operation wizard refactoring

v4.0.6 - 2022-07-17
--------------------

### Bug fix ###

- Site creation: fix post message

v4.0.5 - 2022-07-17
--------------------

### Bug fix ###

- Geo - sheet: fix coordinates display
- Account deletion: fix summary

v4.0.4 - 2022-07-17
--------------------

### Features ###

- update translations

v4.0.3 - 2022-07-15
--------------------

### Bug fix ###

- migrate_to_geo_v4: fix operation and site import when SRID != 4326

v4.0.2 - 2022-06-15
--------------------

### Bug fix ###

- migrate_to_geo_v4: fix main item import when SRID=4326

v4.0.1 - 2022-06-15
--------------------

### Main features ###

- Migration to Django 2.2
- New geo item management
- Syndication of ishtar databases

### Features ###

- specific form for parcel management
- quick search action: grouping treatment
- better UI for imports

### Bug fix ###

- increase length of phone numbers
